# pleroma2nip05

## Install

Create a python venv
`python3 -m venv venv`

Activate the venv
`python3 -m venv venv`

Install requirements
`pip3 install -r requirements`

## Create the config file

Create /etc/pleroma2nip05/config.yml from the config.yml in this repo

## Configure nginx

Add this to your Pleroma vhost

```
   location /.well-known/nostr.json {
        proxy_pass http://localhost:5000/json;
    }
```

## Link your profile

Go to your pleroma profile and add a custom field, name it nostr or Nostr (nothing else) and put in your HEX public key as value

## Todo

- Move relays to config
- Add instructions to run with Gunicorn and systemd
